/*
 * Copyright (c) 2020 the original author or authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { RouterModule } from '@angular/router';
import { ApplicationListModule } from 'src/app/features/application-list/application-list.module';
import { TableModule } from 'src/app/features/table/table.module';
import { UserListModule } from 'src/app/features/user-list/user-list.module';
import { UserTableModule } from 'src/app/features/user-table/user-table.module';

import { ToolBarModule } from '../../features/tool-bar/tool-bar.module';
import { DashboardComponent } from './dashboard.component';

@NgModule({
  declarations: [DashboardComponent],
  imports: [
    ApplicationListModule,
    UserListModule,
    TableModule,
    UserTableModule,
    CommonModule,
    MatButtonModule,
    MatIconModule,
    MatFormFieldModule,
    MatInputModule,
    FormsModule,
    RouterModule.forChild([{ path: '', component: DashboardComponent }]),
    ToolBarModule,
    MatCardModule,
  ],
  exports: [RouterModule],
})
export class DashboardModule {}
